Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neuroph.nnet.comp
Class DelayedNeuron

    java.lang.Object
      org.neuroph.core.Neuron
          org.neuroph.nnet.comp.DelayedNeuron

All Implemented Interfaces:
  java.io.Serializable

Direct Known Subclasses:
  CompetitiveNeuron

    public class DelayedNeuron

extends Neuron

Provides behaviour for neurons with delayed output.

See Also:
  Serialized Form

Field Summary
`protected java.util.Vector<java.lang.Double>` | `outputHistory` Output history for this neuron

Fields inherited from class org.neuroph.core.Neuron
`error, inputConnections, inputFunction, netInput, outConnections, output, parentLayer, transferFunction`

Constructor Summary
`DelayedNeuron(InputFunction inputFunction, TransferFunction transferFunction)` Creates an instance of neuron which can delay output

Method Summary
`void` | `calculate()` Calculates neuron's output
`double` | `getOutput(int delay)` Returns neuron output with the specified delay

Methods inherited from class org.neuroph.core.Neuron
`addInputConnection, addInputConnection, addInputConnection, addOutputConnection, getConnectionFrom, getError, getInputConnections, getInputFunction, getInputsIterator, getNetInput, getOutConnections, getOutput, getParentLayer, getTransferFunction, getWeightsVector, hasInputConnections, initializeWeights, initializeWeights, initializeWeights, randomizeInputWeights, removeInputConnectionFrom, reset, setError, setInput, setInputFunction, setOutput, setParentLayer, setTransferFunction`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### outputHistory

    protected java.util.Vector<java.lang.Double> outputHistory

  Output history for this neuron

Constructor Detail

### DelayedNeuron

    public DelayedNeuron(InputFunction inputFunction,
                         TransferFunction transferFunction)

  Creates an instance of neuron which can delay output

  Parameters:
    `inputFunction` - neuron input function
    `transferFunction` - neuron transfer function

Method Detail

### calculate

    public void calculate()

  Description copied from class: `Neuron`
  Calculates neuron's output

  Overrides:
    `calculate` in class `Neuron`

### getOutput

    public double getOutput(int delay)

  Returns neuron output with the specified delay

  Parameters:
    `delay` - output delay
  Returns:
    neuron output at (t-delay) moment

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neuroph
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD